{% extends 'base.html.twig' %}

{% block title %}{{parent()}} Éditions{% endblock %}

{% block body %}

<h1 class="mb-4 display-1">Éditions</h1>

{% if from is defined %}
<h1 class="display-5 mb-4">
  {{ interval( from, to) }}
</h1>
{% endif %}

<table id="datatable" class="table table-striped">
  <thead>
    <tr>
      <th scope="col">Titre</th>
      <th scope="col">Date</th>
    </tr>
  </thead>
  <tbody>
  {% for publication in publications %}

      {% if publication.title %}
        {% set pubTitle = publication.title ~ ' ' ~ publication.subtitle  %}
      {% else %}
        {% set pubTitle = publication.script.title ~ ' ' ~ publication.script.subtitle  %}
      {% endif %}

        <tr>
          <td scope="col">
            <a href="{{ path('publication', {id: publication.id}) }}">
              <i>{{pubTitle}}</i>
               {% if publication.script.creators is not empty %}
                  (
                    {% for creator in publication.script.creators %}     
                        {% if creator.person.pseudonym %}
                            {{creator.person.pseudonym}}
                        {% else %}    
                            {{creator.person.firstname}} {{creator.person.lastname}}
                        {% endif %}
                            {{ not loop.last ? ',' }}
                    {% endfor %}
                  )
                {% endif %}
            </a>
          </td>
          <td scope="col">
              {{ interval( publication.start, publication.end) }}
          </td>
        </tr>

  {% endfor %}
  </tbody>
</table>

{% endblock %}
